#!/usr/bin/env python3

from time import sleep
import ev3dev2 as ev3
from ev3dev2.sensor import INPUT_1,INPUT_2,INPUT_3,INPUT_4
from ev3dev2.sensor.lego import ColorSensor

# Define the sensor inputs of the robot
cs_right = ColorSensor(INPUT_4)
cs_left = ColorSensor(INPUT_2)

while True:
    # printing the values of the right colour sensor 
    print('Right-Sensor: ','Intensity=', cs_right.reflected_light_intensity,' Color=',cs_right.color) 

    # printing the values of the left colour sensor 
    print('Left-Sensor: ','Intensity=', cs_left.reflected_light_intensity,' Color=',cs_left.color) 
    
    sleep(1) #the values are printed every second

  